Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QDomText Class Reference
[XML module]

The QDomText class represents text data in the parsed XML document. More...

`#include <qdom.h>`

Inherits QDomCharacterData.

Inherited by QDomCDATASection.

List of all member functions.

## Public Members

- QDomText ()
- QDomText ( const QDomText & x )
- QDomText & operator= ( const QDomText & x )
- ~QDomText ()
- QDomText splitText ( int offset )
- virtual QDomNode::NodeType nodeType () const
- virtual bool isText () const

## Detailed Description

The QDomText class represents text data in the parsed XML document.

You can split the text in a QDomText object over two QDomText objecs with splitText().

For further information about the Document Object Model see http://www.w3.org/TR/REC-DOM-Level-1/ and http://www.w3.org/TR/DOM-Level-2-Core/. For a more general introduction of the DOM implementation see the QDomDocument documentation.

See also XML.

## Member Function Documentation

### QDomText::QDomText ()

Constructs an empty QDomText object.

To construct a QDomText with content, use QDomDocument::createTextNode().

### QDomText::QDomText ( const QDomText & x )

Constructs a copy of x.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### QDomText::~QDomText ()

Destroys the object and frees its resources.

### bool QDomText::isText () const`[virtual]`

Returns TRUE.

Reimplemented from QDomNode.

### QDomNode::NodeType QDomText::nodeType () const`[virtual]`

Returns TextNode.

Reimplemented from QDomCharacterData.

Reimplemented in QDomCDATASection.

### QDomText & QDomText::operator= ( const QDomText & x )

Assigns x to this DOM text.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### QDomText QDomText::splitText ( int offset )

Splits this DOM text object into two QDomText objects. This object keeps its first offset characters and the second (newly created) object is inserted into the document tree after this object with the remaining characters.

The function returns the newly created object.

See also QDomNode::normalize().

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.